* gpgkeys_ldap.c: #define LDAP_DEPRECATED for newer OpenLDAPs so they use
authorDavid Shaw <dshaw@jabberwocky.com>
Mon, 27 Mar 2006 19:06:46 +0000 (19:06 +0000)
committerDavid Shaw <dshaw@jabberwocky.com>
Mon, 27 Mar 2006 19:06:46 +0000 (19:06 +0000)
the regular old API that is compatible with other LDAP libraries.

keyserver/ChangeLog
keyserver/gpgkeys_ldap.c

index 795b7d4..1c3dc66 100644 (file)
@@ -1,3 +1,9 @@
+2006-03-27  David Shaw  <dshaw@jabberwocky.com>
+
+       * gpgkeys_ldap.c: #define LDAP_DEPRECATED for newer OpenLDAPs so
+       they use the regular old API that is compatible with other LDAP
+       libraries.
+
 2006-03-03  David Shaw  <dshaw@jabberwocky.com>
 
        * gpgkeys_ldap.c (main): Fix build problem with non-OpenLDAP LDAP
index 85654fb..c478319 100644 (file)
@@ -37,6 +37,8 @@
 #ifdef NEED_LBER_H
 #include <lber.h>
 #endif
+/* For OpenLDAP, to enable the API that we're using. */
+#define LDAP_DEPRECATED 1
 #include <ldap.h>
 #endif